MKVINFO(1)

NAME
mkvinfo - Informatie uitprinten over elementen in Matroska(TM) bestanden

BEKNOPTE INHOUDSBESCHRIJVING

mkvinfo [options] {source-filename}

BESCHRIJVING

Dit programma lijst alle elementen die een Matroska(TM) bestand bevat. De uitvoer kan gelimiteerd worden naar een lijst van sporen inclusief de informatie over de gebruikte codecs.

-g, --gui
    Start de GUI. Deze optie is alleen beschikbaar wanneer mkvinfo is gecompileerd met GUI ondersteuning.

-c, --checksums
    Berekend en toont de Adler32 controleer som. Alleen zinvol voor foutzoeken.

-s, --summary
    Toon slechts een grove samenvatting van wat mkvinfo(1) vindt en niet elk element.

-t, --track-info
    Toont statiustieken voore elk spoor in 'stille' mode. Zet tevens 'stille mode' naar 1 als niveau daarvoor 0 was.

-x, --hexdump
    Toont de eerste 16 bytes van elk beeld als een hex dump.

-X, --full-hexdump
    Toont alle bytes van elk beeld als een hex dump.

-z, --size
    Toon de grootte van elk element inclusief kophoofd

--command-line-charset (karakter-set)
    Plaatst het karakter set om de reeksen om te zetten die vanaf de commandoregel worden opgegeven. Standaard wordt gebruikt de karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (lokatie).

--output-charset (karakter-set)
    Stelt de karakter set in waarnaar de reeksen dienen te worden geconverteerd naar de uitvoer. Standaard wordt gebruikt de karakter set die afhankelijk is van wat er in uw besturingssysteem staat aangegeven (lokatie).

-r, --redirect-output (bestandsnaam)
    Schrijft alle berichten naar een bestand file-name i.p.v naar het 'apparaat/houder'. Terwijl dit gemakkelijk met uitvoer omleiden kan worden gedaan er zijn gevallen waarin deze optie nodig is: wanneer de verwerker e.e.a her-interpreteert voordat het geschreven wordt naar het uitvoer bestand. De karakter set met --output-charset is toegewezen.

--ui-language code
    Forceert de vertaling voor de te gebruiken taal code (b.v. 'de_DE' voor de Duitse taal). Hoewel het de voorkeur heeft de 'omgevings variabelen' te gebruiken LANG, LC_MESSAGES en LC_ALL. Opvragen van een 'list' als een code zal er voor zorgen dat mkvextract(1) een lijst zal uitvoeren van alle beschikbaren vertalingen.

--debug topic
    Turn on debugging for a specific feature. This option is only useful for developers.

--engage feature
    Turn on experimental features. A list of available features can be requested with mkvinfo --engage list. These features are not meant to be used in normal situations.

-v, --verbose
    Wees uitgebreider. Zie sectie over uitgebreide niveaus voor een beschrijving welke informatie wordt uitgevoerd op welk niveau.

-h, --help
    Toon gebruik informatie en sluit af.

-V, --version
    Toon versie informatie en sluit af.

--check-for-updates
    Checks online for new releases by downloading the URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Four lines will be output in key=value style: the URL from where the information was retrieved (key version_check_url), the currently running version (key running_version), the latest release's version (key available_version) and the download URL (key download_url).

    Nadien sluit het programma af met een afsluitwaarde van 0 als er geen nieuwere versie beschikbaar is, met een 1 als er een nieuwere beschikbaar is en 2 indien er een fout ontstond (b.v. als de opwaardeer info niet verkregen kon worden).

    Deze optie is alleeen beschikbaar indien het gebouwd is met ondersteuning voor libcurl.

@options-file
    Leest extra commandoregel argumenten in van een bestand options-file. Regels met een spatie (lege ruimte) als eerste karakter, zijn gemarkeerd als een hash (waarde) ('#') worden behandeld als commentaar en genegeerd. Een spatie aan het begin en einde van een regel worden verwijderd. Elke regel mag excact één waarde bevatten

    Verschillende karakters kunnen worden overgeslagen, b.v. als het nodig is een niet commentaar regel te starten met '#'. Deze regels worden beschreven in de sectie over overslaan van tekst.

    De commandoregel 'mkvinfo -v -v input.mkv --redirect-output info.txt' kon worden geconverteert naar het volgende optie bestand:

        # Be more verbose
        -v
        -v
        # Parse input.mkv
        input.mkv
        # and write the output to info.txt
        --redirect-output
        info.txt

UITGEBREIDE NIVEAU'S

De optie -v kan worden gebruikt om mkvinfo(1)'s uitgebreide niveau te verhogen en meer informatie te printen over het huidige bestand.

Op niveau 0 print mkvinfo(1) de spoor koppen die het vindt en hun typen. mkvinfo(1) verlaat zo snel mogelijk wanneer de koppen volledig zijn ontleed (meer technisch: zo snel mogelijk wanneer de eerste cluster wordt tegengekomen). Op dit niveau worden de zoek kop ingangen en volg document(en) (cue) niet getoond -- zelfs niet wanneer die aan het begin bevinden van de spoor informatie.

Op niveau 1 print mkvinfo(1) ook alle Matroska(TM) tegengekomen elementen van het complete bestand elementen behalve de zoek koppen en de volg document(en) (cue) ingangen. Als de samenvattingsmode aan is dan zal mkvinfo(1) het beeld positie eveneens uitvoeren.

Op niveau 2 print mkvinfo(1) tevens de zoek kop ingangen, de volg document(en) (cue)l ingangen en de bestandspositie waarbij elk Matroska(TM) element kan worden gevonden.

Op niveau 3 en hoger zal mkvinfo(1) enige informatie printen welke niet direct aan een Matroska(TM) element is gekoppeld. Alle overige elementen printen alleen info over de elementen die zojuist werden gevonden. Niveau 3 voegt meta informatie toe voor een makkelijkere fout opsporing (lees als: bedoelt voor ontwikkelaars). Alle niveau 3 geschreven regels bevatten zich tussen [ ] om ze makkelijker te herkennen..

VERLAAT CODES

mkvinfo(1) verlaat met één van de drie afsluit codes:

    • 0 -- Deze verlaat code betekend dat alles succesvol voltooid is.

    • 1 -- In dit geval heeft mkvinfo(1) minimaal één waarschuwing doen uitgaan, maar ging door. Een waarschuwing wordt voorafgegaan met de tekst 'Warning:'.

    • 2 -- Deze fout code wordt gegeven nadat er een fout optrad. mkvinfo(1) breekt direct af na het geven van dit waarschuw bericht. Fout! bereik in berichten, van een verkeerd commandoregel argument over lees/schrijf fouten naar een 'gebroken' bestanden.

OVERSLAAN VAN SPECIALE KARAKTER(S) IN TEKST

Er zijn een paar plaatsen waar speciale karakters zouden of moeten worden overgeslagen. De regels voor het overslaan zijn simpel: elk karakter dat overgeslagen dient te worden wordt vervangen door een backslash "\" gevolgd door een ander karakter.

The rules are: ' ' (a space) becomes '\s', '"' (double quotes) becomes '\2', ':' becomes '\c', '#' becomes '\h' and '\' (a single backslash) itself becomes '\\'.

ENVIRONMENT VARIABLES

mkvinfo(1) uses the default variables that determine the system's locale (e.g. LANG and the LC_* family). Additional variables:

MKVTOOLNIX_DEBUG and its short form MTX_DEBUG
    The content is treated as if it had been passed via the --debug option.

MKVTOOLNIX_ENGAGE and its short form MTX_ENGAGE
    The content is treated as if it had been passed via the --engage option.

MKVTOOLNIX_OPTIONS and its short form MTX_OPTIONS
    The content is split on white space. The resulting partial strings are treated as if it had been passed as command line options. If you need to pass special characters (e.g. spaces) then you have to escape them (see the section about escaping special characters in text).

ZIE OOK

mkvmerge(1), mkvextract(1), mkvpropedit(1), mmg(1)

WWW

De laatste versie kan altijd gevonden worden op de MKVToolNix[1] thuis basis.

AUTEUR

Moritz Bunkus <moritz@bunkus.org>
    Ontwikkelaar

OPMERKINGEN

1.  MKVToolNix
    http://www.bunkus.org/videotools/mkvtoolnix/